Page 1 of 1

Building 3.10.1 with VS2010

Posted: Tue Jan 15, 2019 11:52 pm
by jnovosel
Need some help here. With VS2010 I get 43275 errors and 574 warnings.
Whats changed since 3.8 (builds find under VS2010).
There are 2008,2010 and 2012 builds available under buildFiles/

I saw a post about building 3.9 - would this apply to 3.10.1 ?

Thanks in advance !
Jim

Re: Building 3.10.1 with VS2010

Posted: Wed Jan 16, 2019 1:11 am
by Duion
The last time I checked we live in the year 2019 and not 2010, maybe update your Visual Studio to something newer, I use 2015 version.

And you need to generate the build files yourself with Cmake, those premade versions are way outdated. Read the wiki here for that: http://wiki.torque3d.org/coder:compiling-in-windows

Re: Building 3.10.1 with VS2010

Posted: Wed Jan 16, 2019 1:27 am
by Bloodknight
The build files folders are deprecated and should have been removed, I think 2015 is minimum spec now because of C++11 features.

you need to use cmake as duion suggests, and holy moley that documentation link needs updating.

edit: I've done a quick update of the page, removed the old junk, made a couple of more up to date screenshots, so it should be easier to follow now.

sent me a note or comment here if there's more updating needed before I get to it.